export default ({request}) => ({
  /**
   * @description 系统管理 组织机构
   * @param {Object} data 
   */
  // 查询列表数据
   getOrganizationList() {
    return request({
      url: `/orgInfo/authority/getTreeList`,
      method: 'get',
    })
  },
  // 新增机构
  addOrganization(data) {
    return request({
      url: `/orgInfo/authority/save`,
      method: 'post',
      data
    })
  },

  // 修改机构
  editOrganization(data) {
    return request({
      url: `/orgInfo/authority/update`,
      method: 'post',
      data
    })
  },

  // 删除机构
  deleOrganization( id ) {
    return request({
      url: `/orgInfo/authority/getByIdDelete/${id}`,
      method: 'get',
      
    })
  },

  // 获取所属仓库（机构）
  getOrganizationArr( data ) {
    return request({
      url: `/orgInfo/authority/getList`,
      method: 'post',
      data
    })
  },
  // 查询  根据仓库关键字
  getOrganizationByName( orgName ) {
    return request({
      url: `/orgInfo/authority/getTreeList?orgName=${orgName}`,
      method: 'get',

    })
  },
  // 根据id查询仓库（机构）
  getOrganizationById( id ) {
    return request({
      url: `/orgInfo/authority/getById/${id}`,
      method: 'get',

    })
  },

})

